<html>
<head>
    <script type="text/javascript">
        var git = new URL(window.location.href).searchParams.get("git");
        var hash = window.location.hash;
        function stripHash(x) {
            if (x) {
                pos = x.indexOf('#');
                if (pos >= 0) {
                    hash = x.substring(pos + 1);
                    x = x.substring(0, pos);
                } else {
                    pos = x.indexOf('%23')
                    if (pos >= 0) {
                        hash = x.substring(pos + 3);
                        x = x.substring(0, pos);
                    }
                }
            }
            return x;
        }

        if (git) {
            var link = 'https://gitlab.com/koop/lvbb/bhkv-0.98-kern/';
            if (link === '@@@' + 'REPOSITORY_URL' + '@@@' || link === '') {
                html = 'Locatie van GIT repository is niet geconfigureerd';
            } else {
                git = stripHash (git)
                link += '-/tree/master/' + git + (hash ? '#' + hash : '');
                html = 'U wordt doorverwezen naar de <a href="' + link + '">git repository</a>...';
                document.write('<meta http-equiv = "refresh" content = "0; url = ' + link + '"/>');
            }
        } else {
            var id = stripHash (new URL(window.location.href).searchParams.get("id"));
            html = 'Geen documentatie aanwezig voor ' + id;
        }
        function VoegLinksToe(data, elements) {
            if (!id) {
                return;
            }
            for (var i = 0; i < elements.length; i++) {
                var elt = elements[i];
                if (id === elt.ID) {
                    var topic = elt.Topics[elt.Hoofdtopic]
                    link = topic.File.substr(0, topic.File.lastIndexOf(".")) + ".html" + (hash ? '#' + hash : (topic.Link ? topic.Link : ''));
                    html = 'U wordt doorverwezen naar <a href="https://koop.gitlab.io/lvbb/bhkv-0.98-kern/' + link + '">deze pagina</a>...';
                    document.write('<meta http-equiv = "refresh" content = "0; url = https://koop.gitlab.io/lvbb/bhkv-0.98-kern/' + link + '"/>');
                    id = ''
                    return;
                }
            }
        }
    </script>
    <script type="text/javascript" src="go.js"></script>
</head>
<body>
    <script type="text/javascript">
        document.write(html);
    </script>
</body>
</html>